levelshots/UJE_hells_gate_cc_automap 
{ 
	nopicmip 
	nocompress 
	nomipmaps 
	{ 
		clampmap levelshots/UJE_hells_gate_cc.jpg
		depthFunc equal 
		rgbGen identity 
	} 
} 

levelshots/UJE_hells_gate_cc_trans 
{ 
	nopicmip 
	nocompress 
	nomipmaps 
	{ 
		clampmap levelshots/UJE_hells_gate_cc.jpg
		blendfunc blend 
		rgbGen identity 
		alphaGen vertex 
	} 
}
textures/UJE_hells_gate/uje_clouds
{
	qer_editorimage textures/UJE_hells_gate/halloween_clouds.tga
	qer_trans 0.6
	q3map_globalTexture

	q3map_lightrgb 0.8 0.9 1.0
	q3map_sunExt 1 .95 .9 100 60 60 2 16
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 50 5

//	q3map_lightmapMergable
	q3map_nonplanar
	cull none
	sort nearest
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/UJE_hells_gate/halloween_clouds.tga
		blendFunc blend
//		alphaFunc GE128
		alphaGen vertex //const 0.4
//		tcMod scale 64 64
		tcMod scroll -0.04 0
//		tcMod transform 1 0 0 1 0 1024
	}
	{
		map textures/UJE_hells_gate/halloween_clouds.tga
		blendFunc blend
//		alphaFunc GE128
		alphaGen vertex //const 0.1
//		tcMod scale 64 64
		tcMod scroll -0.02 0
//		tcMod transform 1 0 0 1 0 1024
	}
}
textures/UJE_hells_gate/rainforest/uje_rainforest
{
	qer_editorimage textures/UJE_hells_gate/rainforest/alien_ft.JPG
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 60
	surfaceparm sky
	q3map_sun 0.14902 0.286275 0.25490 100 225 50
	skyparms textures/UJE_hells_gate/rainforest/alien - -
}
textures/UJE_hells_gate/ujefog/ujefog
{
	qer_editorimage textures/UJE_hells_gate/ujefog.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	fogparms ( 0.14902 0.286275 0.25490 ) 8000
}

textures/UJE_hells_gate/uje_bloed_water
{
	qer_editorimage textures/UJE_hells_gate/uje_bloed.tga
	qer_trans .1
	q3map_globaltexture
	cull disable
	surfaceparm nonsolid
	surfaceparm water
	{
		map textures/UJE_hells_gate/uje_bloed1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/UJE_hells_gate/uje_bloed2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/UJE_hells_gate/uje_bloed.tga
		blendFunc GL_dst_color GL_one
		blendfunc filter
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}
textures/UJE_hells_gate/color_1
{
	qer_editorimage textures/UJE_hells_gate/color_wt.jpg
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none

	{
		map textures/UJE_hells_gate/color_wt.jpg
		tcMod rotate 25
		tcMod stretch sin 0.8 0.6 0.0 0.2
		blendFunc add
	}
}
textures/UJE_hells_gate/objective_maingate
{
	nopicmip
	nocompress
	{
		map textures/UJE_hells_gate/maingate.tga
		blendfunc blend
		rgbGen Vertex
	}
}
textures/UJE_hells_gate/objective_gates
{
	nopicmip
	nocompress
	{
		map textures/UJE_hells_gate/gates.tga
		blendfunc blend
		rgbGen Vertex
	}
}

textures/UJE_hells_gate/branch2_tex
{
	qer_editorimage textures/UJE_hells_gate/branch2.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	sort 10
	cull disable
	{
		clampmap textures/UJE_hells_gate/branch2.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

models/mapobjects/uje_tree/branch2
{
	qer_editorimage textures/UJE_hells_gate/branch2.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	sort 10
	cull disable
	{
		clampmap textures/UJE_hells_gate/branch2.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

models/mapobjects/tree2/branch2
{
	qer_editorimage textures/UJE_hells_gate/branch2.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	sort 10
	cull disable
	{
		clampmap textures/UJE_hells_gate/branch2.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

models/mapobjects/uje_tree/trunk_id
{
	qer_editorimage textures/UJE_hells_gate/uje_tree.tga
	surfaceparm nonsolid
	{
		map textures/UJE_hells_gate/uje_tree.tga
	}
}

models/mapobjects/GR_trees/tree6
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree6.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/UJE_hells_gate/crow2a
{
	qer_editorimage textures/UJE_hells_gate/crow1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes move 1 0.3 0.5 sin 0 72 0 0.08 
	{
		map textures/UJE_hells_gate/crow1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/UJE_hells_gate/grass1
{
	qer_editorimage textures/UJE_hells_gate/grass1.jpg
	q3map_nonplanar
	q3map_shadeangle 179
	{	
		map textures/UJE_hells_gate/grass1.jpg
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}



textures/UJE_hells_gate/rock04
{
	qer_editorimage textures/UJE_hells_gate/rock04.jpg
	q3map_nonplanar
	q3map_shadeangle 179
	{	
		map textures/UJE_hells_gate/rock04.jpg
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}




textures/UJE_hells_gate/dirt
{
	qer_editorimage textures/UJE_hells_gate/dirt.jpg
	q3map_nonplanar
	q3map_shadeangle 179
	{	
		map textures/UJE_hells_gate/dirt.jpg
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/UJE_hells_gate/rock2dirt
{
	qer_editorimage textures/UJE_hells_gate/rock2dirt.jpg
	q3map_nonplanar
	q3map_shadeangle 179
	{	
		map textures/UJE_hells_gate/rock2dirt.jpg
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

	//TREES//
textures/UJE_hells_gate/bark1
{
	qer_editorimage textures/UJE_hells_gate/bark1.jpg
	q3map_nonplanar
	q3map_shadeangle 135
	{	
		map textures/UJE_hells_gate/bark1.jpg
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/UJE_hells_gate/bark8
{
	qer_editorimage textures/UJE_hells_gate/bark8.jpg
	q3map_nonplanar
	q3map_shadeangle 135
	{	
		map textures/UJE_hells_gate/bark8.jpg
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/UJE_hells_gate/bark15
{
	qer_editorimage textures/UJE_hells_gate/bark15.jpg
	q3map_nonplanar
	q3map_shadeangle 135
	{	
		map textures/UJE_hells_gate/bark15.jpg
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/UJE_hells_gate/uje_tree
{
	qer_editorimage textures/UJE_hells_gate/uje_tree.tga
	q3map_nonplanar
	q3map_shadeangle 135
	{	
		map textures/UJE_hells_gate/uje_tree.tga
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/UJE_hells_gate/water
{
	qer_editorimage textures/UJE_hells_gate/water.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5 
	q3map_globaltexture
	{
		map textures/UJE_hells_gate/water.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map textures/UJE_hells_gate/water.tga
		blendfunc gl_dst_color gl_one
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/UJE_hells_gate/water04
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/UJE_hells_gate/water04.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -1.5
		alphaGen Vertex
	}
}

textures/UJE_hells_gate/uje_lichtje
{
	qer_editorimage textures/UJE_hells_gate/uje_lichtje.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	{
		map textures/UJE_hells_gate/uje_lichtje.tga
		blendfunc add
	}
}


textures/UJE_hells_gate/uje_splash_1
{
	qer_editorimage textures/UJE_hells_gate/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 15.2671 0 21.0681 sawtooth 0 1 0 0.99758 
	{
		clampmap textures/UJE_hells_gate/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.99758 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.99758 
		alphaGen wave sawtooth 0.6 -0.6 0 0.99758 
	}
}

textures/UJE_hells_gate/uje_splash_2
{
	qer_editorimage textures/UJE_hells_gate/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 27.9806 0 14.5417 sawtooth 0 1 0 1.00822 
	{
		clampmap textures/UJE_hells_gate/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 1.00822 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 1.00822 
		alphaGen wave sawtooth 0.6 -0.6 0 1.00822 
	}
}

textures/UJE_hells_gate/uje_splash_3
{
	qer_editorimage textures/UJE_hells_gate/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move -23.5294 0 24.9054 sawtooth 0 1 0 0.922809 
	{
		clampmap textures/UJE_hells_gate/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.922809 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.922809 
		alphaGen wave sawtooth 0.6 -0.6 0 0.922809 
	}
}

textures/UJE_hells_gate/uje_splash_4
{
	qer_editorimage textures/UJE_hells_gate/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 12.4378 0 31.5161 sawtooth 0 1 0 1.02932 
	{
		clampmap textures/UJE_hells_gate/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 1.02932 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 1.02932 
		alphaGen wave sawtooth 0.6 -0.6 0 1.02932 
	}
}

textures/UJE_hells_gate/uje_splash_5
{
	qer_editorimage textures/UJE_hells_gate/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move -34.8016 0 9.76785 sawtooth 0 1 0 0.958803 
	{
		clampmap textures/UJE_hells_gate/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.958803 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.958803 
		alphaGen wave sawtooth 0.6 -0.6 0 0.958803 
	}
}
textures/UJE_hells_gate/flower1
{
	q3map_surfacelight 50
	q3map_lightRGB 0.755 0.550 0.551
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_hells_gate/flower1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_hells_gate/flower2
{
	q3map_surfacelight 50
	q3map_lightRGB 0.755 0.550 0.551
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_hells_gate/flower2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_hells_gate/flower3
{
	q3map_surfacelight 50
	q3map_lightRGB 0.755 0.550 0.551
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_hells_gate/flower3.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_hells_gate/flower4
{
	q3map_surfacelight 50
	q3map_lightRGB 0.56 0.2 0.965
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_hells_gate/flower4.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_hells_gate/plant1
{
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_hells_gate/plant1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/UJE_hells_gate/plant2
{
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_hells_gate/plant2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/UJE_hells_gate/plant3
{
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_hells_gate/plant3.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_hells_gate/bladboom
{
	q3map_surfacelight 50
	q3map_lightRGB 0.5 0.9 0.5
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_hells_gate/bladboom.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_hells_gate/leave01d		// fern (dead)
{
	qer_editorimage textures/UJE_hells_gate/leave01d.tga
	q3map_backShader textures/UJE_hells_gate/leave01d_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/UJE_hells_gate/leave01d.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/UJE_hells_gate/leave01d_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/UJE_hells_gate/leave01d.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
textures/UJE_hells_gate/tree01_leaves
{
	qer_editorimage textures/UJE_hells_gate/tree01_leaves.tga
	q3map_backShader textures/UJE_hells_gate/tree01_leaves_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/UJE_hells_gate/tree01_leaves.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/UJE_hells_gate/tree01_leaves_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/UJE_hells_gate/tree01_leaves.tga
		rgbGen const ( 0.225 0.225 0.225 )
		alphaFunc GE128		
	}	
}
// ----------------------------------------------------------------------
textures/UJE_hells_gate/vine06		// Used mainly on cliff edges
{
	qer_editorimage textures/UJE_hells_gate/vine06.tga
	q3map_backShader textures/UJE_hells_gate/vine06_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/UJE_hells_gate/vine06.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/UJE_hells_gate/vine06_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/UJE_hells_gate/vine06.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
// ----------------------------------------------------------------------
textures/UJE_hells_gate/leave02d		// Curvy pointy leave
{
	qer_editorimage textures/UJE_hells_gate/leave02d.tga
	q3map_backShader textures/UJE_hells_gate/leave02d_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/UJE_hells_gate/leave02d.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/UJE_hells_gate/leave02d_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/UJE_hells_gate/leave02d.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
textures/UJE_hells_gate/skull
{
	qer_editorimage textures/UJE_hells_gate/skull.jpg
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 110
	q3map_bounceScale 3.0
	surfaceparm rocksteps
	implicitMap textures/UJE_hells_gate/skull.jpg
}
models/mapobjects/oak/oakblaetter
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter2
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter3
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/skeletons/skeleton

{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/Skeletons/skeleton.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}
textures/metal_misc/metal_m04ss
{
	surfaceparm metalsteps
	{
		map textures/effects/tinfx.jpg
		rgbGen identity
		tcGen environment
	}
	{
		map textures/metal_misc/metal_m04ss.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/metal_misc/metal_m04ss_osa
{
	surfaceparm metalsteps
	{
		map textures/effects/tinfx.jpg
		rgbGen identity
		tcGen environment
	}
	{
		map textures/metal_misc/metal_m04ss_osa.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/UJE_hells_gate/lightning
{
		
	cull twosided
	deformVertexes autoSprite2
	qer_editorimage textures/UJE_hells_gate/lightning1.tga	

	{
		animMap 15 textures/UJE_hells_gate/lightning1.tga textures/UJE_hells_gate/lightning1.tga textures/UJE_hells_gate/lightning2.tga textures/UJE_hells_gate/lightning2.tga textures/UJE_hells_gate/lightning3.tga textures/UJE_hells_gate/lightning3.tga 
		
		blendFunc GL_SRC_ALPHA GL_ONE
	//	rgbGen wave inverseSawtooth 0 1 0 15
		rgbGen identity
	}

}

textures/UJE_hells_gate/lightning1
{
		
	cull twosided
	deformVertexes autoSprite2
	qer_editorimage textures/UJE_hells_gate/lightning1.tga	

	{
		animMap 10 textures/UJE_hells_gate/lightning1.tga textures/UJE_hells_gate/lightning1.tga textures/UJE_hells_gate/lightning2.tga textures/UJE_hells_gate/lightning2.tga textures/UJE_hells_gate/lightning3.tga textures/UJE_hells_gate/lightning3.tga 
		
		blendFunc GL_SRC_ALPHA GL_ONE
	//	rgbGen wave inverseSawtooth 0 1 0 10
		rgbGen identity
	}

}
textures/UJE_hells_gate/spinneweb
{
	qer_editorimage textures/UJE_hells_gate/spinneweb.jpg
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	tessSize 64
        	deformVertexes wave 194 sin 0 3 0 .4
        	deformVertexes normal .5 .1
	{
		map textures/UJE_hells_gate/spinneweb.jpg
		blendfunc add
		rgbgen identity
	}
}
textures/UJE_hells_gate/spinneweb1
{
	qer_editorimage textures/UJE_hells_gate/spinneweb1.jpg
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	tessSize 64
        	deformVertexes wave 194 sin 0 3 0 .4
        	deformVertexes normal .5 .1
	{
		map textures/UJE_hells_gate/spinneweb1.jpg
		blendfunc add
		rgbgen identity
	}
}
textures/UJE_hells_gate/spinneweb2
{
	qer_editorimage textures/UJE_hells_gate/spinneweb2.jpg
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	tessSize 64
        	deformVertexes wave 194 sin 0 3 0 .4
        	deformVertexes normal .5 .1
	{
		map textures/UJE_hells_gate/spinneweb2.jpg
		blendfunc add
		rgbgen identity
	}
}

textures/UJE_hells_gate/uje_horror3
{
	qer_editorimage textures/UJE_hells_gate/horror3.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	sort decal

	{
		map textures/UJE_hells_gate/horror3.tga
     		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}

textures/UJE_hells_gate/uje_stargate
{
	qer_editorimage textures/UJE_hells_gate/stargate.tga
	surfaceparm nolightmap
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	
	{
		clampMap textures/UJE_hells_gate/stargate.tga
		blendFunc blend
		rgbGen vertex
		rgbGen wave sin 0.6 0.05 0 0.25
		tcMod stretch sin 0.95 0.05 0 0.01
		tcmod rotate 10
	}
}
textures/UJE_hells_gate/uje_devil
{
	qer_editorimage textures/UJE_hells_gate/devil.tga
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_hells_gate/devil.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_hells_gate/uje_ghost2
{
	qer_editorimage textures/UJE_hells_gate/ghost2.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 128 sin 0 3 0 0.3 
	{
		map textures/UJE_hells_gate/ghost2.tga
		blendfunc GL_ONE GL_ONE
		//blendfunc gl_one_minus_dst_color gl_one_minus_src_color
		//blendfunc GL_SRC_ALPHA gl_one_minus_dst_color
		rgbGen wave sin 0.6 0.4 0.1 0.3 
		//rgbGen wave sin 0.6 0.4 0.1 0.3
		tcMod transform 1 1 0 1 0 0
		tcMod scale 1 1
		tcMod scroll -0.16 0.25
	}
	{
		map textures/UJE_hells_gate/ghost2.tga
		blendfunc GL_ONE GL_ONE
		//blendfunc gl_one_minus_dst_color gl_one_minus_src_color  
		rgbGen wave sin 0.5 0.3 0.5 0.3 
		//rgbGen wave sin 0.5 0.3 0.5 0.3
		tcMod transform 1 1 0 1 0 0
		tcMod scale 1 1
		tcMod scroll -0.13 0.15
	}
}

textures/UJE_hells_gate/uje_ghost3
{
	qer_editorimage textures/UJE_hells_gate/ghost3.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 128 sin 0 3 0 0.3 
	//	deformVertexes move -400 400 0   sawtooth 0 5 0 .12
    	deformVertexes move 0 0 5  sin 0 4 0 .5
	{
		clampmap textures/UJE_hells_gate/ghost3.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		//blendfunc gl_one_minus_dst_color gl_one_minus_src_color
		rgbGen wave Triangle 0.6 0.2 0.6 0.2
		rgbGen wave Triangle 0.6 0.4 0.1 0.2
		//tcmod stretch Triangle 0.05 0.08 0.02 0.2
	}
}
textures/UJE_hells_gate/uje_witch1
{
	qer_editorimage textures/UJE_hells_gate/witch1.tga
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_hells_gate/witch1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_hells_gate/uje_witch2
{
	qer_editorimage textures/UJE_hells_gate/witch2.tga
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_hells_gate/witch2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_hells_gate/uje_witch3
{
	qer_editorimage textures/UJE_hells_gate/witch3.tga
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_hells_gate/witch3.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/UJE_hells_gate/uje_zombie
{
	qer_editorimage textures/UJE_hells_gate/zombie1.tga
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/UJE_hells_gate/zombie1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_hells_gate/uje_witchface
{
	qer_editorimage textures/UJE_hells_gate/witchface.jpg
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	polygonOffset
	sort decal

	{
		map textures/UJE_hells_gate/witchface.jpg
     		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}
textures/UJE_hells_gate/uje_witchwall
{
	qer_editorimage textures/UJE_hells_gate/witchwall.jpg
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	polygonOffset
	sort decal

	{
		map textures/UJE_hells_gate/witchwall.jpg
     		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}
//--- vlammetjes
textures/UJE_hells_gate/kaarsvlam1
{
	qer_editorimage textures/UJE_hells_gate/kaarsvlam.tga
//	q3map_tessSize 2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	//surfaceparm pointlight
	nofog
	nomipmaps
	nopicmip
	cull none
	deformVertexes autosprite
	{
		clampmap textures/UJE_hells_gate/kaarsvlam.tga
		rgbGen wave sin 0.4 0.6 0.17 0.5
		rgbGen wave sin 0.6 0.4 0.3 0.15
		blendfunc add
		tcMod stretch sin 1.0 0.1 0.2 0.5 //0.09375 0.1 0.2 0.5 // sin 1 0.1 0.2 0.5
	}
}
textures/UJE_hells_gate/kaarsvlam2
{
	qer_editorimage textures/UJE_hells_gate/kaarsvlam.tga
//	q3map_tessSize 2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	//surfaceparm pointlight
	nofog
	nomipmaps
	nopicmip
	cull none
	deformVertexes autosprite
	{
		clampmap textures/UJE_hells_gate/kaarsvlam.tga
		rgbGen wave sin 0.4 0.6 0.6 0.3
		rgbGen wave sin 0.6 0.4 0.17 0.4
		blendfunc add
		tcMod stretch sin 1.0 0.1 0.6 0.5
	}
}
textures/UJE_hells_gate/kaarsvlam3
{
	qer_editorimage textures/UJE_hells_gate/kaarsvlam.tga
//	q3map_tessSize 2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	//surfaceparm pointlight
	nofog
	nomipmaps
	nopicmip
	cull none
	deformVertexes autosprite
	{
		clampmap textures/UJE_hells_gate/kaarsvlam.tga
		rgbGen wave sin 0.6 0.4 0.3 0.6
		rgbGen wave sin 0.4 0.6 0.17 0.1
		blendfunc add
		tcMod stretch sin 1.0 0.1 0.5 0.5
	}
}
textures/UJE_hells_gate/uje_goud
{
	qer_editorimage textures/UJE_hells_gate/goudplaat.jpg
	q3map_surfacelight 50
	nofog
	surfaceparm nomarks
	surfaceparm solid
	surfaceparm metalsteps //!
	{
		map textures/UJE_hells_gate/goudplaat.jpg
	}
	{
		map textures/effects/envmap_gold.tga
		blendfunc gl_src_alpha gl_one
//		alphaGen const 0.5
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}

models/mapobjects/budapest_models/bp_fish
{
	surfaceparm nomarks 
	{
		map textures/effects/tinfx.tga
		rgbGen vertex 
		tcGen environment
	}
	{
		map Models/mapobjects/budapest_models/bp_fish.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}
textures/UJE_hells_gate/a_add1
{
	qer_editorimage textures/UJE_hells_gate/a_tree1.tga
    	cull none
    	nopicmip
    	surfaceparm pointlight
	deformVertexes autosprite
	{
		clampmap textures/UJE_hells_gate/a_tree1.tga
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}
textures/UJE_hells_gate/a_add2
{
	qer_editorimage textures/UJE_hells_gate/a_tree2.tga
    	cull none
    	nopicmip
    	surfaceparm pointlight
	deformVertexes autosprite
	{
		clampmap textures/UJE_hells_gate/a_tree2.tga
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}
textures/UJE_hells_gate/a_add3
{
	qer_editorimage textures/UJE_hells_gate/skull2.tga
    	cull none
    	nopicmip
    	surfaceparm pointlight
	deformVertexes autosprite
	{
		map textures/UJE_hells_gate/skull2.tga
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/br_flowers/dafa1
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/dafa1.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/dafa1.tga
}
models/mapobjects/br_flowers/purpleflowers
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/purpleflowers.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/purpleflowers.tga
}
models/mapobjects/br_flowers/green_1
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/green_1.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/green_1.tga
}
models/mapobjects/br_flowers/green_2
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/green_2.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/green_2.tga
}
